<?php
declare(strict_types=1);

namespace App\Service\Mailer\Builder;

use App\Service\Mailer\Model\MailerModelInterface;
use Doctrine\Common\Collections\ArrayCollection;

interface BuilderInterface extends AbstractBuilderInterface {
    public function support(MailerModelInterface $mailerModel): bool;

    public function build(MailerModelInterface $mailerModel): ArrayCollection;
}